Get Addable Team Users
https://app.fossa.com/api/teams/{id}/members/addableGet a paginated list of users that are not in the team and can be added.
Path parameters
idintegerrequiredID of the team
Query parameters
pageintegerPage number (1-indexed, defaults to 1)
pageSizeintegerNumber of items per page (defaults to 10, max 50)
searchstringSearch term to filter users by username
Responses
200OKresultsobject[]requiredArray of users that can be added to the team
userIdintegerrequiredID of the user
usernamestringrequiredUsername of the user
emailstring <email>requiredEmail of the user
pageSizeintegerrequiredNumber of items per page
pageintegerrequiredCurrent page number (1-indexed)
totalCountintegerrequiredTotal number of users that can be added to the team
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404Not FounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
GET https://app.fossa.com/api/teams/1/members/addablecurl --request GET \ --url 'https://app.fossa.com/api/teams/1/members/addable' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN'Real request. Mutating methods can change data.
Path params
idintegerrequiredID of the team
Query params
pageintegerPage number (1-indexed, defaults to 1)
pageSizeintegerNumber of items per page (defaults to 10, max 50)
searchstringSearch term to filter users by username